cmake_minimum_required(VERSION 3.21.1)

project(QsACN VERSION 0.1 LANGUAGES CXX)

find_package(Qt6 COMPONENTS Network REQUIRED)

set(CMAKE_AUTOMOC ON)

add_library(${PROJECT_NAME} STATIC)

target_sources(${PROJECT_NAME}
    PUBLIC
        qsacnnode.h
        qsacnuniverse.h
    PRIVATE
        qsacn_global.h
        qsacnnode.cpp
        qsacnuniverse.cpp
    )

target_link_libraries(${PROJECT_NAME}
    PUBLIC
        Qt::Network
        LCP
    )

target_compile_definitions(${PROJECT_NAME} PUBLIC ${PROJECT_NAME}_LIBRARY)
target_include_directories(${PROJECT_NAME} PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})
